com.taosdata.jdbc.utils

## Class TaosInfo

- java.lang.Object
- - com.taosdata.jdbc.utils.TaosInfo

All Implemented Interfaces:
  TaosInfoMBean

    public class TaosInfo
    extends Object
    implements TaosInfoMBean

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `conn_open_increment()`
`void` `connect_close_increment()`
`long` `getConnect_active()`
`long` `getConnect_close()`
`long` `getConnect_open()`
`static TaosInfo` `getInstance()`
`long` `getStatement_count()`
`void` `stmt_count_increment()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConnect_open

    public long getConnect_open()

Specified by:
  `getConnect_open` in interface `TaosInfoMBean`

#### getConnect_close

    public long getConnect_close()

Specified by:
  `getConnect_close` in interface `TaosInfoMBean`

#### getConnect_active

    public long getConnect_active()

Specified by:
  `getConnect_active` in interface `TaosInfoMBean`

#### getStatement_count

    public long getStatement_count()

Specified by:
  `getStatement_count` in interface `TaosInfoMBean`

#### conn_open_increment

    public void conn_open_increment()

#### connect_close_increment

    public void connect_close_increment()

#### stmt_count_increment

    public void stmt_count_increment()

#### getInstance

    public static TaosInfo getInstance()